View Issue Details

IDProjectCategoryView StatusLast Update
0002967Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version6.5.0.131 
Target VersionFixed in Version6.5.0.183 
Summary0002967: All: all applications load city, state data even if they don't need it.
DescriptionThe suite features a DLL with the name UnitedStates.Country (instead of UnitedStates.DLL, for some reason) which contains a large list of geolocation information. The logbook uses this information for some lookups. DM780 might use it, but I don't believe any other application does. Certainly, Rig Control has no use for this information.

But all of the applications in the suite end up loading the data. At startup, the applications initialize the HRDStation DLL. That DLL unconditionally loads the UnitedStates.country DLL.

The loading of this DLL involves managing a lot of memory -- more than 20 gigs -- and takes a long time to parse some strings. Applications which don't need this data would benefit at startup and runtime by not loading the data.
Additional Information
    UnitedStates.country!LoadCitiesProc(void * __formal) Line 213	C++
     UnitedStates.country!CUnitedStatesApp::AssureLoaded() Line 105	C++
     UnitedStates.country!HRDC_LoadCountry() Line 208	C++
     HRDStation.dll!CCountryObject::LoadCountry() Line 98	C++
     HRDStation.dll!CLogbookUSCityData::LoadCities() Line 25	C++
     HRDStation.dll!CHRDStationApp::InitializeStation() Line 217	C++
     HRDStation.dll!InitializeStation() Line 171	C++
     HamRadioDeluxe.exe!CHamRadioDeluxeApp::InitInstance() Line 267	C++
     HamRadioDeluxe.exe!AfxWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 37	C++
     HamRadioDeluxe.exe!wWinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, wchar_t * lpCmdLine, int nCmdShow) Line 26	C++
     HamRadioDeluxe.exe!invoke_main() Line 123	C++
     HamRadioDeluxe.exe!__scrt_common_main_seh() Line 288	C++
     HamRadioDeluxe.exe!__scrt_common_main() Line 331	C++
     HamRadioDeluxe.exe!wWinMainCRTStartup() Line 17	C++
     kernel32.dll!@BaseThreadInitThunk@12()	Unknown
     ntdll.dll!__RtlUserThreadStart()	Unknown
     ntdll.dll!__RtlUserThreadStart@8()	Unknown
TagsNo tags attached.
ModuleAll
Sub-ModuleData
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-12-06 11:26

manager   ~0006532

Some cleanup related to this issue:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4514

K7ZCZ

2018-12-07 13:53

manager   ~0006546

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4523

WA9PIE

2018-12-21 00:41

administrator   ~0006757

No steps to test. I'm accepting this as complete.

Issue History

Date Modified Username Field Change
2018-12-05 18:19 K7ZCZ New Issue
2018-12-06 11:26 K7ZCZ Note Added: 0006532
2018-12-07 13:53 K7ZCZ Assigned To => K7ZCZ
2018-12-07 13:53 K7ZCZ Status new => resolved
2018-12-07 13:53 K7ZCZ Resolution open => fixed
2018-12-07 13:53 K7ZCZ Note Added: 0006546
2018-12-09 15:42 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-21 00:41 WA9PIE Status resolved => closed
2018-12-21 00:41 WA9PIE Sub-Module (select) => Data
2018-12-21 00:41 WA9PIE Testing Not Started => Not Tested
2018-12-21 00:41 WA9PIE Note Added: 0006757
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.132 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe